Package Gnumed :: Package business :: Module gmPerson |
[frames] | no frames]

# Module gmPerson

source code

Author: K.Hilbert <Karsten.Hilbert@gmx.net>

License: GPL

Classes
| cDTO_person
| cPersonName
| cPerson
| cPatient Represents a person which is a patient.
| gmCurrentPatient Patient Borg to hold the currently active patient.
| cMatchProvider_Provider

Functions
external_id_exists(pk_issuer, value) | source code
get_potential_person_dupes(lastnames, dob, firstnames=None, active_only=True) | source code
this_person_exists(lastnames, firstnames, dob, comment) | source code
identity_is_patient(pk_identity) | source code
turn_identity_into_patient(pk_identity) | source code
set_yielder(yielder) | source code
create_name(pk_person, firstnames, lastnames, active=False) | source code
create_identity(gender=None, dob=None, lastnames=None, firstnames=None, comment=None) | source code
disable_identity(pk_identity) | source code
create_dummy_identity() | source code
identity_exists(pk_identity) | source code
set_active_patient(patient=None, forced_reload=False) Set active patient. | source code
get_gender_list() Retrieves the list of known genders from the database. | source code
map_gender2string(gender=None) Maps GNUmed related i18n-aware gender specifiers to a human-readable string. | source code
map_gender2salutation(gender=None) Maps GNUmed related i18n-aware gender specifiers to a human-readable salutation. | source code
map_firstnames2gender(firstnames=None) Try getting the gender for the given first name. | source code
get_person_IDs() | source code
get_persons_from_pks(pks=None) | source code
get_person_from_xdt(filename=None, encoding=None, dob_format=None) | source code
get_persons_from_pracsoft_file(filename=None, encoding='ascii') | source code

Variables
| map_gender2mf = `{'m': 'm', 'f': 'f', 'tf': 'f', 'tm': 'm', 'h'`...``
| map_gender2vcard = `{'m': 'M', 'f': 'F', 'tf': 'F', 'tm': 'M', `...``
| map_gender2symbol = `{'m': '\u2642', 'f': '\u2640', 'tf': '\u26`...``

Imports: sys, os, time, regex, pyDT, threading, logging, io, inspect, etree, gmExceptions, gmDispatcher, gmBorg, gmI18N, gmNull, gmBusinessDBObject, gmTools, gmPG2, gmDateTime, gmMatchProvider, gmLog2, gmHooks, gmDemographicRecord, gmClinicalRecord, gmXdtMappings, gmProviderInbox, gmExportArea, gmBilling, gmAutoHints, cDocumentFolder

Function Details

### set_active_patient(patient=None, forced_reload=False) | source code
Set active patient. If patient is -1 the active patient will be UNset.

Variables Details

  ### map_gender2mf Value:
      {'m': 'm', 'f': 'f', 'tf': 'f', 'tm': 'm', 'h': 'mf'}

  ### map_gender2vcard Value:
      {'m': 'M', 'f': 'F', 'tf': 'F', 'tm': 'M', 'h': 'O', None: 'U'}

  ### map_gender2symbol Value:
      {'m': '\u2642', 'f': '\u2640', 'tf': '\u26A5\u2640', 'tm': '\u26A5\u26
      42', 'h': '\u26A5', None: '?\u26A5?'}